# Option contracts `GET` `https://api.unusualwhales.com/api/stock/{ticker}/option-contracts` Returns all option contracts for the given ticker ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `expiry` | Single expiry date | No | A single expiry date in ISO date format. | | `option_type` | OptionType | No | The option type to filter by if specified. | | `vol_greater_oi` | boolean | No | Wether to only return chains where volume > open interest | | `exclude_zero_vol_chains` | boolean | No | Wether to only return chains where volume > 0 | | `exclude_zero_dte` | boolean | No | Wether to only return chains which do not expire on the same day | | `exclude_zero_oi_chains` | boolean | No | Wether to only return chains where open interest > 0 | | `maybe_otm_only` | boolean | No | Wether to only return chains which are out of the money | | `min_dte` | integer | No | Minimum days to expiration (expiry at least this many days from today). | | `max_dte` | integer | No | Maximum days to expiration (expiry at most this many days from today). | | `option_symbol[]` | array[string] | No | Options symbols to filter by | | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `ask_volume` | Option Contract Ask Volume | The amount of volume that happened on the ask side. Ask side is defined as (ask + bid) / 2 < fill price. | | `avg_price` | Option Contract Avg Price | The volume weighted average fill price of the contract. | | `bid_volume` | Option Contract Bid Volume | The amount of volume that happened on the bid side. Bid side is defined as (ask + bid) / 2 > fill price. | | `cross_volume` | Option Contract Cross Volume | The amount of cross volume. Cross volume consists of all transaction that have the cross trade code. | | `delta` | string | First-order greek: delta. | | `floor_volume` | Option Contract Floor Volume | The amount of floor volume. Floor volume consists of all transaction that have the floor trade code. | | `gamma` | string | First-order greek: gamma. | | `high_price` | Option Contract High | The highest fill on that contract. | | `implied_volatility` | Option Contract Last Transaction IV | The implied volatility for the last transaction. | | `last_price` | Option Contract Close | The last fill on the contract. | | `last_tape_time` | string | As-of timestamp anchoring row freshness — the contract's last trade (tape) time. Approximate for NBBO freshness (it is trade time, not a dedicated quote timestamp). | | `low_price` | Option Contract Low | The lowest fill on that contract. | | `mid_volume` | Option Contract Mid Volume | The amount of volume that happened in the middle of the ask and bid. Mid is defined as (ask + bid) / 2 == fill price. | | `multi_leg_volume` | Option Contract Multi Leg Volume | The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more. | | `nbbo_ask` | NBBO Ask | The National Best Bid and Offer (NBBO) ask price. | | `nbbo_bid` | NBBO Bid | The National Best Bid and Offer (NBBO) bid price. | | `no_side_volume` | Option Contract No Side Volume | The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions. | | `open_interest` | Option Contract Open interest | The open interest for the contract. | | `option_symbol` | Option Contract Symbol | The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?[\w]*)(?(\d{2})(\d{2})(\d{2}))(?[PC])(?\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000. | | `prev_oi` | Option Contract Previous Open Interest | The previous trading day's open interest. | | `rho` | string | First-order greek: rho. | | `stock_multi_leg_volume` | Option Contract Stock Multi Leg Volume | The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more. | | `sweep_volume` | Option Contract Sweep Volume | The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code. | | `theta` | string | First-order greek: theta. | | `total_premium` | Option Contract Premium | The total option premium. | | `vega` | string | First-order greek: vega. | | `volume` | Option Contract Volume | The contract volume. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/option-contracts" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/option-contracts", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "ask_volume": 56916, "avg_price": "0.77927817593516586531", "bid_volume": 68967, "delta": "-0.187", "floor_volume": 1815, "gamma": "0.021", "high_price": "5.75", "implied_volatility": "0.542805337797143", "last_price": "0.01", "last_tape_time": "2024-02-01T20:59:58Z", "low_price": "0.01", "mid_volume": 6393, "multi_leg_volume": 9871, "nbbo_ask": "0.01", "nbbo_bid": "0", "no_side_volume": 6393, "open_interest": 22868, "option_symbol": "AAPL240202P00185000", "prev_oi": 20217, "rho": "-0.015", "stock_multi_leg_volume": 13, "sweep_volume": 12893, "theta": "-0.043", "total_premium": "10307980.00", "vega": "0.089", "volume": 132276 }, { "ask_volume": 54820, "avg_price": "0.19195350495251190385", "bid_volume": 60784, "floor_volume": 0, "high_price": "0.80", "implied_volatility": "0.462957019859562", "last_price": "0.01", "low_price": "0.01", "mid_volume": 2215, "multi_leg_volume": 5301, "nbbo_ask": "0.01", "nbbo_bid": "0", "no_side_volume": 2215, "open_interest": 19352, "option_symbol": "AAPL240202C00187500", "prev_oi": 18135, "stock_multi_leg_volume": 9, "sweep_volume": 11152, "total_premium": "2261577.00", "volume": 117819 } ] } ```